From 3d80fea5499bffb0664cfd3e04f622e6027eb716 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Fri, 20 Apr 2012 20:49:04 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/README.source                               |    4 -
 debian/changelog                                   |   27 +++
 debian/compat                                      |    2 +-
 debian/control                                     |    9 +-
 debian/copyright                                   |    2 +-
 debian/patches/00list                              |    8 -
 debian/patches/01-a2ps-el-path-fix.patch           |   14 ++
 debian/patches/01_a2ps_el_path_fix.dpatch          |   32 ---
 ...osite_fonts.dpatch => 02-composite-fonts.patch} |   98 ++++-----
 ...ts_debian.dpatch => 03-koi8-fonts-debian.patch} |   26 +--
 ...orkaround.dpatch => 04-lp-lpr-workaround.patch} |   19 +-
 debian/patches/05-no-acroread-for-pdf.patch        |   20 ++
 debian/patches/05_no_acroread_for_pdf.dpatch       |   36 ----
 ...encoding_texi.dpatch => 06-encoding-texi.patch} |    5 +-
 debian/patches/07-a2ps-info.patch                  |   26 +++
 debian/patches/07_a2ps_info.dpatch                 |  219 --------------------
 debian/patches/{08_man.dpatch => 08-man.patch}     |    5 +-
 debian/patches/series                              |    8 +
 debian/rules                                       |   21 +-
 debian/source/format                               |    2 +-
 debian/watch                                       |    7 +-
 21 files changed, 170 insertions(+), 420 deletions(-)
 delete mode 100644 debian/README.source
 delete mode 100644 debian/patches/00list
 create mode 100644 debian/patches/01-a2ps-el-path-fix.patch
 delete mode 100644 debian/patches/01_a2ps_el_path_fix.dpatch
 rename debian/patches/{02_composite_fonts.dpatch => 02-composite-fonts.patch} (88%)
 rename debian/patches/{03_koi8_fonts_debian.dpatch => 03-koi8-fonts-debian.patch} (69%)
 rename debian/patches/{04_lp_lpr_workaround.dpatch => 04-lp-lpr-workaround.patch} (55%)
 create mode 100644 debian/patches/05-no-acroread-for-pdf.patch
 delete mode 100644 debian/patches/05_no_acroread_for_pdf.dpatch
 rename debian/patches/{06_encoding_texi.dpatch => 06-encoding-texi.patch} (91%)
 create mode 100644 debian/patches/07-a2ps-info.patch
 delete mode 100644 debian/patches/07_a2ps_info.dpatch
 rename debian/patches/{08_man.dpatch => 08-man.patch} (94%)
 create mode 100644 debian/patches/series

diff --git a/debian/README.source b/debian/README.source
deleted file mode 100644
index 56dc4be..0000000
--- a/debian/README.source
+++ /dev/null
@@ -1,4 +0,0 @@
-This package uses the dpatch system of patch handling.
-See /usr/share/doc/dpatch/README.source.gz for more details.
-
- -- Nobuhiro Iwamatsu <iwamatsu@debian.org>, Fri, 14 May 2010 13:35:10 +0900
diff --git a/debian/changelog b/debian/changelog
index 57ee91e..886d6d5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,30 @@
+a2ps (1:4.14-1.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * debian/control
+    - Bump Standards-Version to 3.9.3
+    - Update to debhelper 9.
+    - Add Homepage.
+    - Update obsolete cupsys-client to cups-client in recommends.
+  * debian/copyright
+    - Fix copyright-refers-to-symlink-license (Lintian).
+  * debian/patches
+    - (01, 03): correct patch tag lines to -p1 format.
+    - (02, 04, 05): update with "quilt refresh" to make it apply cleanly.
+    - (06, 07, 08): add DEP-3 headers.
+    - (07): delete hunk about node changes; will be generated by info.
+  * debian/rules
+    - Remove dpatch.make.
+    - Add required build-arch and build-indep targets.
+    - Update to use dh_clean (was -k) in install target to dh_prep.
+    - Use latest config.sub and config.guess.
+  * debian/watch
+    - Fix debian-watch-contains-dh_make-template (Lintian).
+    - Update URL to Savannah.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Fri, 20 Apr 2012 20:48:34 +0300
+
 a2ps (1:4.14-1.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff --git a/debian/compat b/debian/compat
index 7f8f011..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-7
+9
diff --git a/debian/control b/debian/control
index 266a781..00aa5ca 100644
--- a/debian/control
+++ b/debian/control
@@ -2,16 +2,17 @@ Source: a2ps
 Section: text
 Priority: optional
 Maintainer: Masayuki Hatta (mhatta) <mhatta@debian.org>
-Build-Depends: autotools-dev, bison, bzip2, debhelper (>= 7), docbook-to-man,
-	dpatch, emacs23 | emacsen, file, flex, gperf, ghostscript, groff-base, gv,
+Build-Depends: autotools-dev, bison, bzip2, debhelper (>= 9), docbook-to-man,
+	emacs23 | emacsen, file, flex, gperf, ghostscript, groff-base, gv,
 	html2ps, graphicsmagick-imagemagick-compat, libpaper-dev, lpr, psutils,
 	texlive-base-bin, texinfo
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
+Homepage: http://savannah.gnu.org/projects/a2ps
 
 Package: a2ps
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, file, psutils
-Recommends: bzip2, lpr | rlpr | cupsys-client, wdiff
+Recommends: bzip2, lpr | rlpr | cups-client, wdiff
 Suggests: emacsen-common, groff, ghostscript, gv, html2ps, graphicsmagick-imagemagick-compat | imagemagick, texlive-base-bin, t1-cyrillic
 Description: GNU a2ps - 'Anything to PostScript' converter and pretty-printer
  GNU a2ps converts files into PostScript for printing or viewing. It uses a
diff --git a/debian/copyright b/debian/copyright
index 8475fff..e4f5660 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -30,7 +30,7 @@ License:
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 
 On Debian systems, the complete text of the GNU General
-Public License can be found in `/usr/share/common-licenses/GPL'.
+Public License can be found in `/usr/share/common-licenses/GPL-2'.
 
   *.afm files under afm/:
 
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index 7f77ce1..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,8 +0,0 @@
-01_a2ps_el_path_fix
-02_composite_fonts
-03_koi8_fonts_debian.dpatch
-04_lp_lpr_workaround
-05_no_acroread_for_pdf
-06_encoding_texi.dpatch 
-07_a2ps_info.dpatch
-08_man.dpatch
diff --git a/debian/patches/01-a2ps-el-path-fix.patch b/debian/patches/01-a2ps-el-path-fix.patch
new file mode 100644
index 0000000..44b482c
--- /dev/null
+++ b/debian/patches/01-a2ps-el-path-fix.patch
@@ -0,0 +1,14 @@
+From: Masayuki Hatta <mhatta@debian.org>
+Subject: Fixes path to a2ps binary in a2ps.el
+
+--- a/contrib/emacs/a2ps.el.orig	2003-04-06 16:37:35.000000000 +0900
++++ b/contrib/emacs/a2ps.el	2003-04-06 16:37:50.000000000 +0900
+@@ -44,7 +44,7 @@
+ ;; a2ps-compile-regexp
+ 
+ ;;path to the a2ps program
+-(defvar a2ps-program "/usr/local/bin/a2ps")
++(defvar a2ps-program "/usr/bin/a2ps")
+ 
+ ;;thank god for make-regexp.el!
+ (defvar a2ps-font-lock-keywords
diff --git a/debian/patches/01_a2ps_el_path_fix.dpatch b/debian/patches/01_a2ps_el_path_fix.dpatch
deleted file mode 100644
index adf2465..0000000
--- a/debian/patches/01_a2ps_el_path_fix.dpatch
+++ /dev/null
@@ -1,32 +0,0 @@
-#! /bin/sh -e
-## 01_a2ps_el_path_fix.dpatch by Masayuki Hatta <mhatta@debian.org>
-##
-## All lines beginning with \`## DP:' are a description of the patch.
-## DP: Fixes path to a2ps binary in a2ps.el
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-        -patch) patch -f --no-backup-if-mismatch --dry-run -p0 < $0 && patch -f --no-backup-if-mismatch -p0 < $0
-;;
-        -unpatch) patch -f --no-backup-if-mismatch -R -p0 < $0;;
-        *)
-                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-                exit 1;;
-esac
-
-exit 0
-
---- contrib/emacs/a2ps.el.orig	2003-04-06 16:37:35.000000000 +0900
-+++ contrib/emacs/a2ps.el	2003-04-06 16:37:50.000000000 +0900
-@@ -44,7 +44,7 @@
- ;; a2ps-compile-regexp
- 
- ;;path to the a2ps program
--(defvar a2ps-program "/usr/local/bin/a2ps")
-+(defvar a2ps-program "/usr/bin/a2ps")
- 
- ;;thank god for make-regexp.el!
- (defvar a2ps-font-lock-keywords
diff --git a/debian/patches/02_composite_fonts.dpatch b/debian/patches/02-composite-fonts.patch
similarity index 88%
rename from debian/patches/02_composite_fonts.dpatch
rename to debian/patches/02-composite-fonts.patch
index 03ab23d..796c7d7 100644
--- a/debian/patches/02_composite_fonts.dpatch
+++ b/debian/patches/02-composite-fonts.patch
@@ -1,28 +1,22 @@
-#! /bin/sh -e
-## 02_composite_fonts.dpatch by Masayuki Hatta <mhatta@debian.org>
-##
-## All lines beginning with \`## DP:' are a description of the patch.
-## DP: Composite fonts support, needed for handling Japanese EUC-JP encoding
-## DP: Roughly based on Yasuyuki Furukawa's patch
+From: Masayuki Hatta <mhatta@debian.org>
+Subject: Composite fonts support, needed for handling Japanese EUC-JP encoding
+ Roughly based on Yasuyuki Furukawa's patch
 
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-        -patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0
-;;
-        -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-        *)
-                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-                exit 1;;
-esac
+---
+ encoding/Makefile.am  |    2 
+ encoding/Makefile.in  |    2 
+ encoding/encoding.map |    6 +
+ encoding/euc-jp.edf   |   95 +++++++++++++++++++
+ lib/encoding.c        |  242 +++++++++++++++++++++++++++++++++++++++++++++++++-
+ lib/encoding.h        |    8 +
+ lib/pair_ht.c         |   61 ++++++++++++
+ lib/pair_ht.h         |    8 +
+ lib/psgen.c           |   27 +++++
+ ps/base.ps            |  144 +++++++++++++++++++++++++++++
+ 10 files changed, 590 insertions(+), 5 deletions(-)
 
-exit 0
-
-diff -urN a2ps-4.13c.orig/encoding/Makefile.am a2ps-4.13c/encoding/Makefile.am
---- a2ps-4.13c.orig/encoding/Makefile.am	2007-04-22 19:26:12.000000000 +0900
-+++ a2ps-4.13c/encoding/Makefile.am	2007-04-22 19:26:39.000000000 +0900
+--- a/encoding/Makefile.am
++++ b/encoding/Makefile.am
 @@ -16,7 +16,7 @@
  minor_encodings = \
  ms-cp1250.edf hp.edf mac.edf ibm-cp437.edf ibm-cp850.edf iso2.edf	\
@@ -32,10 +26,9 @@ diff -urN a2ps-4.13c.orig/encoding/Makefile.am a2ps-4.13c/encoding/Makefile.am
  
  if EXTENSIONS
  encodings_DATA = encoding.map $(major_encodings) $(minor_encodings)
-diff -urN a2ps-4.13c.orig/encoding/Makefile.in a2ps-4.13c/encoding/Makefile.in
---- a2ps-4.13c.orig/encoding/Makefile.in	2007-04-22 19:26:12.000000000 +0900
-+++ a2ps-4.13c/encoding/Makefile.in	2007-04-22 19:27:00.000000000 +0900
-@@ -269,7 +269,7 @@
+--- a/encoding/Makefile.in
++++ b/encoding/Makefile.in
+@@ -270,7 +270,7 @@
  minor_encodings = \
  ms-cp1250.edf hp.edf mac.edf ibm-cp437.edf ibm-cp850.edf iso2.edf	\
  iso3.edf iso4.edf iso5.edf iso7.edf iso9.edf iso10.edf iso13.edf	\
@@ -44,9 +37,8 @@ diff -urN a2ps-4.13c.orig/encoding/Makefile.in a2ps-4.13c/encoding/Makefile.in
  
  @EXTENSIONS_FALSE@encodings_DATA = encoding.map $(major_encodings)
  @EXTENSIONS_TRUE@encodings_DATA = encoding.map $(major_encodings) $(minor_encodings)
-diff -urN a2ps-4.13c.orig/encoding/encoding.map a2ps-4.13c/encoding/encoding.map
---- a2ps-4.13c.orig/encoding/encoding.map	2007-04-22 19:26:12.000000000 +0900
-+++ a2ps-4.13c/encoding/encoding.map	2007-04-22 19:26:23.000000000 +0900
+--- a/encoding/encoding.map
++++ b/encoding/encoding.map
 @@ -93,6 +93,12 @@
  koi8			koi8
  koi			koi8
@@ -60,9 +52,8 @@ diff -urN a2ps-4.13c.orig/encoding/encoding.map a2ps-4.13c/encoding/encoding.map
  ########################################################################
  # Some architectures specific char sets
  ########################################################################
-diff -urN a2ps-4.13c.orig/encoding/euc-jp.edf a2ps-4.13c/encoding/euc-jp.edf
---- a2ps-4.13c.orig/encoding/euc-jp.edf	1970-01-01 09:00:00.000000000 +0900
-+++ a2ps-4.13c/encoding/euc-jp.edf	2007-04-22 19:26:23.000000000 +0900
+--- /dev/null
++++ b/encoding/euc-jp.edf
 @@ -0,0 +1,95 @@
 +# Description of the EUC-JP encoding
 +# Copyright (c) 1988, 89, 90, 91, 92, 93 Miguel Santana
@@ -159,9 +150,8 @@ diff -urN a2ps-4.13c.orig/encoding/euc-jp.edf a2ps-4.13c/encoding/euc-jp.edf
 +egrave eacute ecircumflex edieresis igrave iacute icircumflex idieresis
 +eth ntilde ograve oacute ocircumflex otilde odieresis divide
 +oslash ugrave uacute ucircumflex udieresis yacute thorn ydieresis
-diff -urN a2ps-4.13c.orig/lib/encoding.c a2ps-4.13c/lib/encoding.c
---- a2ps-4.13c.orig/lib/encoding.c	2007-04-22 19:26:12.000000000 +0900
-+++ a2ps-4.13c/lib/encoding.c	2007-04-22 19:26:23.000000000 +0900
+--- a/lib/encoding.c
++++ b/lib/encoding.c
 @@ -389,15 +389,25 @@
   * Association of suffixes rules, and corresponding style sheet
   * (The hashing is upon `alias')
@@ -504,9 +494,8 @@ diff -urN a2ps-4.13c.orig/lib/encoding.c a2ps-4.13c/lib/encoding.c
  /*
   *	Returns the WX of a string (including M- and ^)
   */
-diff -urN a2ps-4.13c.orig/lib/encoding.h a2ps-4.13c/lib/encoding.h
---- a2ps-4.13c.orig/lib/encoding.h	2007-04-22 19:26:12.000000000 +0900
-+++ a2ps-4.13c/lib/encoding.h	2007-04-22 19:26:23.000000000 +0900
+--- a/lib/encoding.h
++++ b/lib/encoding.h
 @@ -43,6 +43,7 @@
   */
  unsigned int char_WX PARAMS ((struct a2ps_job * job, uchar c));
@@ -523,22 +512,21 @@ diff -urN a2ps-4.13c.orig/lib/encoding.h a2ps-4.13c/lib/encoding.h
  struct encoding *
  get_encoding_by_alias PARAMS ((struct a2ps_job * job, 
  			       char *string));
-@@ -71,6 +73,12 @@
+@@ -70,6 +72,12 @@
+ 	PARAMS ((struct a2ps_job * job,
  		 struct encoding * encoding,
  		 const char * font_name));
- 
++
 +
 +const char * encoding_resolve_composite_font
 +	PARAMS ((struct a2ps_job * job,
 +		 struct encoding * encoding,
 +		 const char * font_name));
-+
+ 
  /*
   * Have a struct encoding determine the faces_wx
-  */
-diff -urN a2ps-4.13c.orig/lib/pair_ht.c a2ps-4.13c/lib/pair_ht.c
---- a2ps-4.13c.orig/lib/pair_ht.c	2007-04-22 19:26:12.000000000 +0900
-+++ a2ps-4.13c/lib/pair_ht.c	2007-04-22 19:26:23.000000000 +0900
+--- a/lib/pair_ht.c
++++ b/lib/pair_ht.c
 @@ -49,6 +49,8 @@
  {
    char * key;
@@ -621,9 +609,8 @@ diff -urN a2ps-4.13c.orig/lib/pair_ht.c a2ps-4.13c/lib/pair_ht.c
  /*
   * Return the content of the hash table, ordered
   */
-diff -urN a2ps-4.13c.orig/lib/pair_ht.h a2ps-4.13c/lib/pair_ht.h
---- a2ps-4.13c.orig/lib/pair_ht.h	2007-04-22 19:26:12.000000000 +0900
-+++ a2ps-4.13c/lib/pair_ht.h	2007-04-22 19:26:23.000000000 +0900
+--- a/lib/pair_ht.h
++++ b/lib/pair_ht.h
 @@ -56,6 +56,10 @@
  void pair_add PARAMS ((struct pair_htable * table, 
  		       const char * key, const char * value));
@@ -646,9 +633,8 @@ diff -urN a2ps-4.13c.orig/lib/pair_ht.h a2ps-4.13c/lib/pair_ht.h
  
  void pair_table_list_short PARAMS ((struct pair_htable * table,
  				    FILE * stream));
-diff -urN a2ps-4.13c.orig/lib/psgen.c a2ps-4.13c/lib/psgen.c
---- a2ps-4.13c.orig/lib/psgen.c	2007-04-22 19:26:12.000000000 +0900
-+++ a2ps-4.13c/lib/psgen.c	2007-04-22 19:26:23.000000000 +0900
+--- a/lib/psgen.c
++++ b/lib/psgen.c
 @@ -875,6 +875,7 @@
    print:
    default:
@@ -698,9 +684,8 @@ diff -urN a2ps-4.13c.orig/lib/psgen.c a2ps-4.13c/lib/psgen.c
      }
      break;
    }
-diff -urN a2ps-4.13c.orig/ps/base.ps a2ps-4.13c/ps/base.ps
---- a2ps-4.13c.orig/ps/base.ps	2007-04-22 19:26:12.000000000 +0900
-+++ a2ps-4.13c/ps/base.ps	2007-04-22 19:26:23.000000000 +0900
+--- a/ps/base.ps
++++ b/ps/base.ps
 @@ -153,7 +153,11 @@
  % Return the y size of the current font
  % - => fontsize
@@ -714,7 +699,7 @@ diff -urN a2ps-4.13c.orig/ps/base.ps a2ps-4.13c/ps/base.ps
  } bind def
  
  % reencode the font
-@@ -202,6 +206,144 @@
+@@ -200,6 +204,144 @@
    end 
  } bind def
  
@@ -859,4 +844,3 @@ diff -urN a2ps-4.13c.orig/ps/base.ps a2ps-4.13c/ps/base.ps
  % Function print line number (<string> # -)
  /# {
    gsave
-
diff --git a/debian/patches/03_koi8_fonts_debian.dpatch b/debian/patches/03-koi8-fonts-debian.patch
similarity index 69%
rename from debian/patches/03_koi8_fonts_debian.dpatch
rename to debian/patches/03-koi8-fonts-debian.patch
index eaa96e0..2ec2f7c 100644
--- a/debian/patches/03_koi8_fonts_debian.dpatch
+++ b/debian/patches/03-koi8-fonts-debian.patch
@@ -1,26 +1,8 @@
-#! /bin/sh -e
-## 03_koi8_fonts_debian.dpatch by Masayuki Hatta <mhatta@debian.org>
-##
-## All lines beginning with \`## DP:' are a description of the patch.
-## DP: Replaces the names of KOI8 fonts with those in scaleble-cyrfonts
+From: Masayuki Hatta <mhatta@debian.org>
+Subject: Replaces the names of KOI8 fonts with those in scaleble-cyrfonts
 
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-        -patch) patch -f --no-backup-if-mismatch --dry-run -p0 < $0 && patch -f --no-backup-if-mismatch -p0 < $0
-;;
-        -unpatch) patch -f --no-backup-if-mismatch -R -p0 < $0;;
-        *)
-                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-                exit 1;;
-esac
-
-exit 0
-
---- encoding/koi8.edf.orig	1998-09-04 19:05:13.000000000 +0900
-+++ encoding/koi8.edf	2003-04-01 02:34:21.000000000 +0900
+--- a/encoding/koi8.edf.orig	1998-09-04 19:05:13.000000000 +0900
++++ b/encoding/koi8.edf	2003-04-01 02:34:21.000000000 +0900
 @@ -1,6 +1,7 @@
  # Description of the KOI8 encoding
  # Copyright (c) 1988, 89, 90, 91, 92, 93 Miguel Santana
diff --git a/debian/patches/04_lp_lpr_workaround.dpatch b/debian/patches/04-lp-lpr-workaround.patch
similarity index 55%
rename from debian/patches/04_lp_lpr_workaround.dpatch
rename to debian/patches/04-lp-lpr-workaround.patch
index 0c4e7ed..fea4fda 100644
--- a/debian/patches/04_lp_lpr_workaround.dpatch
+++ b/debian/patches/04-lp-lpr-workaround.patch
@@ -1,14 +1,13 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 04_lp_lpr_workaround.dpatch by Per Olofsson <pelle@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Use a2ps-lpr-wrapper script instead of using lp/lpr directly
+From: Per Olofsson <pelle@debian.org>
+Subject: Use a2ps-lpr-wrapper script instead of using lp/lpr directly
 
-@DPATCH@
-diff -urNad a2ps-4.13b.dfsg.1~/etc/a2ps_cfg.in a2ps-4.13b.dfsg.1/etc/a2ps_cfg.in
---- a2ps-4.13b.dfsg.1~/etc/a2ps_cfg.in	2006-02-07 07:37:43.000000000 +0100
-+++ a2ps-4.13b.dfsg.1/etc/a2ps_cfg.in	2006-02-07 07:37:53.000000000 +0100
-@@ -417,13 +417,13 @@
+---
+ etc/a2ps_cfg.in |    4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+--- a/etc/a2ps_cfg.in
++++ b/etc/a2ps_cfg.in
+@@ -413,13 +413,13 @@
  # with a hook to post-process PostScript (to call psbook for instance).
  # Something like `#{lp.hook} lp  #{lp.options}'
  #             or `#{lp.hook} lpr #{lp.options}'.
diff --git a/debian/patches/05-no-acroread-for-pdf.patch b/debian/patches/05-no-acroread-for-pdf.patch
new file mode 100644
index 0000000..68f2a1c
--- /dev/null
+++ b/debian/patches/05-no-acroread-for-pdf.patch
@@ -0,0 +1,20 @@
+From: Masayuki Hatta <mhatta@debian.org>
+Subject: Do not use acroread, use pdf2ps from gs for PDF
+
+---
+ etc/a2ps_cfg.in |    4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+--- a/etc/a2ps_cfg.in
++++ b/etc/a2ps_cfg.in
+@@ -291,8 +291,8 @@
+ @COM_PSUTILS@@COM_pdf2ps@Delegation: pdf2ps pdf:ps \
+ @COM_PSUTILS@@COM_pdf2ps@   @pdf2ps@ '$f' #f0 && #{del.psselect} #f0 | #{del.psnup}
+ # Delegated to AcrobatReader
+-@COM_PSUTILS@@COM_acroread@Delegation: Acrobat pdf:ps \
+-@COM_PSUTILS@@COM_acroread@   #{del.acroread} < '$f' | #{del.psselnup}
++#@COM_PSUTILS@@COM_acroread@Delegation: Acrobat pdf:ps \
++#@COM_PSUTILS@@COM_acroread@   #{del.acroread} < '$f' | #{del.psselnup}
+ 
+ ########## PostScript files
+ # Pass the PostScript files to psnup and psselect
diff --git a/debian/patches/05_no_acroread_for_pdf.dpatch b/debian/patches/05_no_acroread_for_pdf.dpatch
deleted file mode 100644
index b05669c..0000000
--- a/debian/patches/05_no_acroread_for_pdf.dpatch
+++ /dev/null
@@ -1,36 +0,0 @@
-#! /bin/sh -e
-## 05_no_acroread_for_pdf.dpatch by Masayuki Hatta <mhatta@debian.org>
-##
-## All lines beginning with \`## DP:' are a description of the patch.
-## DP: Do not use acroread, use pdf2ps from gs for PDF
-
-if [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-        -patch) patch -f --no-backup-if-mismatch --dry-run -p1 < $0 && patch -f --no-backup-if-mismatch -p1 < $0
-;;
-        -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
-        *)
-                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-                exit 1;;
-esac
-
-exit 0
-
-diff -urN a2ps-4.13b.orig/etc/a2ps_cfg.in a2ps-4.13b/etc/a2ps_cfg.in
---- a2ps-4.13b.orig/etc/a2ps_cfg.in	2004-08-13 07:50:06.000000000 +0900
-+++ a2ps-4.13b/etc/a2ps_cfg.in	2004-08-13 07:45:59.000000000 +0900
-@@ -295,8 +295,8 @@
- @COM_PSUTILS@@COM_pdf2ps@Delegation: pdf2ps pdf:ps \
- @COM_PSUTILS@@COM_pdf2ps@   @pdf2ps@ '$f' #f0 && #{del.psselect} #f0 | #{del.psnup}
- # Delegated to AcrobatReader
--@COM_PSUTILS@@COM_acroread@Delegation: Acrobat pdf:ps \
--@COM_PSUTILS@@COM_acroread@   #{del.acroread} < '$f' | #{del.psselnup}
-+#@COM_PSUTILS@@COM_acroread@Delegation: Acrobat pdf:ps \
-+#@COM_PSUTILS@@COM_acroread@   #{del.acroread} < '$f' | #{del.psselnup}
- 
- ########## PostScript files
- # Pass the PostScript files to psnup and psselect
-
diff --git a/debian/patches/06_encoding_texi.dpatch b/debian/patches/06-encoding-texi.patch
similarity index 91%
rename from debian/patches/06_encoding_texi.dpatch
rename to debian/patches/06-encoding-texi.patch
index 3569fd7..edf958f 100644
--- a/debian/patches/06_encoding_texi.dpatch
+++ b/debian/patches/06-encoding-texi.patch
@@ -1,7 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-##
+From: Unknown
+Subject: Local changes to code. See 1:4.14-1.1
 
-@DPATCH@
 --- a2ps-4.14.orig/doc/encoding.texi	2007-12-29 12:29:02.000000000 +0900
 +++ a2ps-4.14/doc/encoding.texi	2010-05-14 13:44:51.000000000 +0900
 @@ -3,6 +3,10 @@
diff --git a/debian/patches/07-a2ps-info.patch b/debian/patches/07-a2ps-info.patch
new file mode 100644
index 0000000..72e9a68
--- /dev/null
+++ b/debian/patches/07-a2ps-info.patch
@@ -0,0 +1,26 @@
+From: Unknown
+Subject: Local changes to code. See 1:4.14-1.1
+
+--- a2ps-4.14.orig/doc/a2ps.info
++++ a2ps-4.14/doc/a2ps.info
+@@ -3325,6 +3325,9 @@
+  -- Encoding: ASCII (`ascii.edf')
+      US-ASCII.
+ 
++ -- Encoding: EUC-JP (`euc-jp.edf')
++     The EUC-JP encoding is a 8-bit character set widely used in Japan.
++
+  -- Encoding: HPRoman (`hp.edf')
+      The 8 bits Roman encoding for HP.
+ 
+@@ -3421,8 +3424,8 @@
+      Support of the Euro symbol is provided thanks to Ogonkify.
+ 
+  -- Encoding: KOI8 (`koi8.edf')
+-     KOI-8 (+Ëë) is a subset of ISO-IR-111 that can be used in Serbia,
+-     Belarus etc.
++     KOI-8 (+ª³«³) is a subset of ISO-IR-111 that can be used in
++     Serbia, Belarus etc.
+ 
+  -- Encoding: MS-CP1250 (`ms-cp1250.edf')
+      Microsoft's CP-1250 encoding (aka CeP).
diff --git a/debian/patches/07_a2ps_info.dpatch b/debian/patches/07_a2ps_info.dpatch
deleted file mode 100644
index c682296..0000000
--- a/debian/patches/07_a2ps_info.dpatch
+++ /dev/null
@@ -1,219 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-##
-
-@DPATCH@
---- a2ps-4.14.orig/doc/a2ps.info
-+++ a2ps-4.14/doc/a2ps.info
-@@ -3325,6 +3325,9 @@
-  -- Encoding: ASCII (`ascii.edf')
-      US-ASCII.
- 
-+ -- Encoding: EUC-JP (`euc-jp.edf')
-+     The EUC-JP encoding is a 8-bit character set widely used in Japan.
-+
-  -- Encoding: HPRoman (`hp.edf')
-      The 8 bits Roman encoding for HP.
- 
-@@ -3421,8 +3424,8 @@
-      Support of the Euro symbol is provided thanks to Ogonkify.
- 
-  -- Encoding: KOI8 (`koi8.edf')
--     KOI-8 (+Ëë) is a subset of ISO-IR-111 that can be used in Serbia,
--     Belarus etc.
-+     KOI-8 (+ª³«³) is a subset of ISO-IR-111 that can be used in
-+     Serbia, Belarus etc.
- 
-  -- Encoding: MS-CP1250 (`ms-cp1250.edf')
-      Microsoft's CP-1250 encoding (aka CeP).
-@@ -7351,98 +7354,98 @@
- Node: Encoding Map File112804
- Node: Encoding Description Files113618
- Node: Some Encodings116243
--Node: Pretty Printing121283
--Node: Syntactic limits122373
--Node: Known Style Sheets122796
--Node: Type Setting Style Sheets151085
--Node: Symbol151697
--Node: PreScript152237
--Node: Syntax153130
--Node: PreScript Commands153844
--Node: PreScript examples155254
--Node: PreTeX155609
--Node: Special characters155936
--Node: PreTeX Commands156626
--Node: Differences with LaTeX158074
--Node: TeXScript159018
--Node: Faces160493
--Node: Style sheets semantics161927
--Node: Name and key162775
--Node: Comments163613
--Node: Alphabets163977
--Node: Case sensitivity164483
--Node: P-Rules164743
--Node: Sequences167697
--Node: Optional entries168196
--Node: Style Sheets Implementation168611
--Node: A Bit of Syntax169653
--Node: Style Sheet Header173117
--Node: Syntax of the Words174714
--Node: Inheriting175704
--Node: Syntax for the P-Rules176661
--Node: Declaring keywords and operators178680
--Node: Declaring sequences181021
--Node: Checking a Style Sheet183892
--Node: A tutorial on style sheets184993
--Node: Example and syntax185803
--Node: Implementation187064
--Node: The Entry in sheets.map190533
--Node: More Sophisticated Rules191417
--Node: Distributed Style Sheets193619
--Node: PostScript195261
--Node: Good and Bad PostScript195849
--Node: Page Device Options199644
--Node: Statusdict Options200886
--Node: Colors in PostScript201925
--Node: a2ps PostScript Files202859
--Node: Designing PostScript Prologues203324
--Node: Definition of the faces204225
--Node: Prologue File Format205714
--Node: A prologue example206287
--Node: Contributions208283
--Node: card209071
--Node: Invoking card209861
--Node: Caution when Using card211452
--Node: fixps211944
--Node: Invoking fixps212574
--Node: fixnt214043
--Node: Invoking fixnt214653
--Node: pdiff214863
--Node: Invoking pdiff215333
--Node: psmandup216386
--Node: Invoking psmandup216966
--Ref: Invoking psmandup-Footnote-1219022
--Node: psset219204
--Node: Invoking psset219812
--Node: FAQ222612
--Node: Why Does ...?223176
--Node: It Prints Nothing223699
--Node: It Prints in Simplex224879
--Node: It Prints in Duplex225695
--Node: It Does Not Fit on the Paper226403
--Node: It Prints Junk226980
--Node: It Says my File is Binary227826
--Node: It Refuses to Change the Font Size229537
--Node: How Can I ...?230354
--Node: Leave Room for Binding230898
--Node: Print stdin231149
--Node: Change the Fonts231766
--Node: The Old Option -b?232085
--Node: Pass Options to lpr232583
--Node: Non PostScript Printers233327
--Node: Man Pages with Underlines235176
--Node: Please tell me...235537
--Node: Is a2ps Y2K compliant?235916
--Ref: Is a2ps Y2K compliant?-Footnote-1236542
--Node: The Options Have Changed236561
--Node: Why not using yacc237636
--Node: Why do you not use mozilla238778
--Node: Glossary239206
--Node: Genesis249342
--Node: History249702
--Node: Thanks250501
--Node: Translators252536
--Node: Copying254153
--Node: Concept Index255982
-+Node: Pretty Printing121394
-+Node: Syntactic limits122484
-+Node: Known Style Sheets122907
-+Node: Type Setting Style Sheets151196
-+Node: Symbol151808
-+Node: PreScript152348
-+Node: Syntax153241
-+Node: PreScript Commands153955
-+Node: PreScript examples155365
-+Node: PreTeX155720
-+Node: Special characters156047
-+Node: PreTeX Commands156737
-+Node: Differences with LaTeX158185
-+Node: TeXScript159129
-+Node: Faces160604
-+Node: Style sheets semantics162038
-+Node: Name and key162886
-+Node: Comments163724
-+Node: Alphabets164088
-+Node: Case sensitivity164594
-+Node: P-Rules164854
-+Node: Sequences167808
-+Node: Optional entries168307
-+Node: Style Sheets Implementation168722
-+Node: A Bit of Syntax169764
-+Node: Style Sheet Header173228
-+Node: Syntax of the Words174825
-+Node: Inheriting175815
-+Node: Syntax for the P-Rules176772
-+Node: Declaring keywords and operators178791
-+Node: Declaring sequences181132
-+Node: Checking a Style Sheet184003
-+Node: A tutorial on style sheets185104
-+Node: Example and syntax185914
-+Node: Implementation187175
-+Node: The Entry in sheets.map190644
-+Node: More Sophisticated Rules191528
-+Node: Distributed Style Sheets193730
-+Node: PostScript195372
-+Node: Good and Bad PostScript195960
-+Node: Page Device Options199755
-+Node: Statusdict Options200997
-+Node: Colors in PostScript202036
-+Node: a2ps PostScript Files202970
-+Node: Designing PostScript Prologues203435
-+Node: Definition of the faces204336
-+Node: Prologue File Format205825
-+Node: A prologue example206398
-+Node: Contributions208394
-+Node: card209182
-+Node: Invoking card209972
-+Node: Caution when Using card211563
-+Node: fixps212055
-+Node: Invoking fixps212685
-+Node: fixnt214154
-+Node: Invoking fixnt214764
-+Node: pdiff214974
-+Node: Invoking pdiff215444
-+Node: psmandup216497
-+Node: Invoking psmandup217077
-+Ref: Invoking psmandup-Footnote-1219133
-+Node: psset219315
-+Node: Invoking psset219923
-+Node: FAQ222723
-+Node: Why Does ...?223287
-+Node: It Prints Nothing223810
-+Node: It Prints in Simplex224990
-+Node: It Prints in Duplex225806
-+Node: It Does Not Fit on the Paper226514
-+Node: It Prints Junk227091
-+Node: It Says my File is Binary227937
-+Node: It Refuses to Change the Font Size229648
-+Node: How Can I ...?230465
-+Node: Leave Room for Binding231009
-+Node: Print stdin231260
-+Node: Change the Fonts231877
-+Node: The Old Option -b?232196
-+Node: Pass Options to lpr232694
-+Node: Non PostScript Printers233438
-+Node: Man Pages with Underlines235287
-+Node: Please tell me...235648
-+Node: Is a2ps Y2K compliant?236027
-+Ref: Is a2ps Y2K compliant?-Footnote-1236653
-+Node: The Options Have Changed236672
-+Node: Why not using yacc237747
-+Node: Why do you not use mozilla238889
-+Node: Glossary239317
-+Node: Genesis249453
-+Node: History249813
-+Node: Thanks250612
-+Node: Translators252647
-+Node: Copying254264
-+Node: Concept Index256093
- 
- End Tag Table
diff --git a/debian/patches/08_man.dpatch b/debian/patches/08-man.patch
similarity index 94%
rename from debian/patches/08_man.dpatch
rename to debian/patches/08-man.patch
index 0d2886c..6a4325c 100644
--- a/debian/patches/08_man.dpatch
+++ b/debian/patches/08-man.patch
@@ -1,7 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-##
+From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Subject: Correct comment markup in manual page
 
-@DPATCH@
 diff --git a/man/a2ps.x b/man/a2ps.x
 index f46b6a3..f17302a 100644
 --- a/man/a2ps.x
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..9a2cae8
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,8 @@
+01-a2ps-el-path-fix.patch
+02-composite-fonts.patch
+03-koi8-fonts-debian.patch
+04-lp-lpr-workaround.patch
+05-no-acroread-for-pdf.patch
+06-encoding-texi.patch
+07-a2ps-info.patch
+08-man.patch
diff --git a/debian/rules b/debian/rules
index d156d38..264d4b2 100755
--- a/debian/rules
+++ b/debian/rules
@@ -12,7 +12,6 @@ DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 # Include dpatch stuff.
-include /usr/share/dpatch/dpatch.make
 
 CFLAGS = -Wall -g
 
@@ -28,12 +27,15 @@ endif
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
+	# cp -vf /usr/share/misc/config.sub /usr/share/misc/config.guess .
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 	  --sysconfdir=/etc \
 	  --with-medium=libpaper
 
+build-arch: build
+build-indep: build
 
-build: patch build-stamp
+build: build-stamp
 
 build-stamp:  config.status
 	dh_testdir
@@ -44,7 +46,7 @@ build-stamp:  config.status
 
 	touch build-stamp
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp 
@@ -57,26 +59,17 @@ clean: unpatch
 	      contrib/psmandup contrib/psset
 
 	rm -rf lib/*.o lib/.libs
-	rm -rf po/*.gmo
+	rm -rf po/*.gmo config.guess config.sub
 	rm -f src/*.o src/a2ps
 	rm -f contrib/sample/sample contrib/*.o contrib/emacs/a2ps-print.elc \
 	contrib/emacs/a2ps.elc contrib/fixnt
 	rm -f debian/manpages/a2ps-lpr-wrapper.1
-
-#ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-#	cp -f /usr/share/misc/config.sub $(CURDIR)/auxdir/config.sub
-#endif
-#ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-#	cp -f /usr/share/misc/config.guess $(CURDIR)/auxdir/config.guess
-#endif
-
-
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean 
+	dh_prep 
 	dh_installdirs
 
 	# Add here commands to install the package into debian/a2ps.
diff --git a/debian/source/format b/debian/source/format
index d3827e7..163aaf8 100644
--- a/debian/source/format
+++ b/debian/source/format
@@ -1 +1 @@
-1.0
+3.0 (quilt)
diff --git a/debian/watch b/debian/watch
index 426f5ab..8a57279 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,6 +1,3 @@
-# Example watch control file for uscan
-# Rename this file to "watch" and then you can run the "uscan" command
-# to check for upstream updates and more.
 # Site		Directory		Pattern			Version	Script
-version=2
-ftp://ftp.enst.fr/pub/unix/a2ps/a2ps-(.*)\.tar\.gz	debian	uupdate
+version=3
+http://ftp.gnu.org/gnu/a2ps/a2ps-(.+)\.tar\.gz
-- 
1.7.9.5

